## newmail 0.3

=== Makefile ===
#   Copyright (c) 2004  Joey Schulze <joey@infodrom.org>
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

SOURCE = $(wildcard *.c)
OBJS = $(SOURCE:%.c=%.o)

# DEFINES = -DDEBUG

CFLAGS = -O2 -Wall $(DEFINES)
# CFLAGS = -g -Wall $(DEFINES)

newmail: $(OBJS)

clean:
	rm -f newmail $(OBJS) *~

install: newmail
	install -s -o root -g root -m 755 newmail   $(prefix)/usr/bin
	install    -o root -g root -m 644 newmail.1 $(prefix)/usr/share/man/man1

## newmail 0.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#   Copyright (c) 2004  Joey Schulze <joey@infodrom.org>
+#   Copyright (c) 2004,6  Joey Schulze <joey@infodrom.org>
 #
 #   This program is free software; you can redistribute it and/or modify
 #   it under the terms of the GNU General Public License as published by
@@ -14,6 +14,8 @@
 #   along with this program; if not, write to the Free Software
 #   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 
+prefix = /usr
+
 SOURCE = $(wildcard *.c)
 OBJS = $(SOURCE:%.c=%.o)
 
@@ -28,5 +30,5 @@
 	rm -f newmail $(OBJS) *~
 
 install: newmail
-	install -s -o root -g root -m 755 newmail   $(prefix)/usr/bin
-	install    -o root -g root -m 644 newmail.1 $(prefix)/usr/share/man/man1
+	install -s -o root -g root -m 755 newmail   $(prefix)/bin
+	install    -o root -g root -m 644 newmail.1 $(prefix)/share/man/man1

=== debian/changelog ===
newmail (0.5-5) unstable; urgency=medium

  * QA upload.
  * debian/copyright: Update packaging copyright information.
  * debian/tests/control: Create autopkgtest.

 -- David Luiz Becker de Souza <davidsouza@alunos.utfpr.edu.br>  Thu, 30 Oct 2025 23:33:30 -0300

newmail (0.5-4) unstable; urgency=medium

  * QA upload.
  * d/control:
    - Move Homepage to the source paragraph
    - Switch Homepage to https
    - Add Vcs field pointing to salsa
    - Add Rules-Requires-Root: no
    - Add missing ${misc:Depends}
  * Remove d/NMU-Disclaimer as package is orphaned
  * Convert copyright to DEP-5:
    - Move mailing list info to README.Debian
  * Convert buildsystem to dh
    - Add debhelper-compat (= 13) as Build-Depends
    - Rewrite rules using dh
  * Delegate install to debhelper:
    - Skip Makefile install rule
    - Add files to d/install
    - Add manpages to d/manpages
    - Add AUTHORS and TODO to d/docs
  * Add watch file
  * Add upstream gpg key
  * Add salsa CI pipeline
  * Add DEP-12 metadata file
  * Use recommended branch name from DEP-14
  * Fix snprintf format injection in folder.c
  * Override hardcoded CFLAGS in Makefile

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Fri, 28 Aug 2020 18:14:44 +0200

newmail (0.5-3) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See: #934437)
  * Update Standards-Version to 4.5.0
  * Mark source format as 3.0
  * Make the build reproducible. (Closes: #778202)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 28 Aug 2020 14:16:47 +0100

newmail (0.5-2) unstable; urgency=low

  * Fixed description, thanks Arnaud Guiton <arnaud-deb@aerine.net>
    (closes: Bug#483667)

 -- Joey Schulze <joey@infodrom.org>  Wed, 04 Jun 2008 08:19:31 +0200

newmail (0.5-1) unstable; urgency=low

  * New upstream version

 -- Joey Schulze <joey@infodrom.org>  Sat, 03 May 2008 11:23:19 +0200

newmail (0.4-2) unstable; urgency=low

  * Updated the standards version
  * Adjusted the short description
  * Ported back from CVS HEAD: Copy enough characters up to the encoding
    [rfc2047.c]
  * Double install newmail to support the nostrip option (closes: Bug#437645)

 -- Joey Schulze <joey@infodrom.org>  Fri, 25 Apr 2008 16:18:43 +0200

newmail (0.4-1) unstable; urgency=low

  * New upstream release
  * Adds proper support for character conversion according to current locale

 -- Martin Schulze <joey@infodrom.org>  Tue, 28 Feb 2006 23:09:11 +0100

newmail (0.3-1) unstable; urgency=low

  * New upstream release
  * Entirely distributed under the GNU GPL due to rewrite

 -- Martin Schulze <joey@infodrom.org>  Wed, 24 Nov 2004 20:17:02 +0100

newmail (0.2-2) unstable; urgency=low

  * Added auto-background and pidcheck again

 -- Martin Schulze <joey@infodrom.org>  Sat, 13 Nov 2004 16:42:38 +0100

newmail (0.2-1) unstable; urgency=low

  * New upstream version

 -- Martin Schulze <joey@infodrom.org>  Thu, 11 Nov 2004 16:57:47 +0100

newmail (0.1-2) unstable; urgency=low

  * New bugfix version
  * Fixed conflicts with glibc 2.1
  * Added proper include statements
  * Binary newmail will be in /usr/bin now
  * Manpage will be in /usr/man/man1
  * Make a mental note that this is not required since a proper diversion exists

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Mon, 12 Jun 2000 13:40:49 +0200

newmail (0.1-1) unstable; urgency=low

  * First extract from elm-me+ (2.4pl25ME+43-1)
  * Implemented diversion of /usr/bin/newmail rather than conflict with
    the elm package.

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu, 10 Sep 1998 00:09:54 +0200

=== debian/control ===
Source: newmail
Section: mail
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Homepage: https://www.infodrom.org/projects/newmail/
Vcs-Git: https://salsa.debian.org/debian/newmail.git
Vcs-Browser: https://salsa.debian.org/debian/newmail
Rules-Requires-Root: no

Package: newmail
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Notificator for incoming mail
 The newmail program usually puts itself in the background and watches
 mailbox files in order to report when new mail has been arrived.  The
 originator and subject will then be reported on the terminal it was
 started.  The output can also be integrated in graphical programs.
 .
 This package is inspired by the newmail program from the Elm mail system.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

%:
	dh $@

# Makefile hardcodes CFLAGS
override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS)"

# Makefile is not using DESTDIR
# delegating install to d/install, d/manpages and d/docs
override_dh_auto_install:

=== debian/tests/control ===
Test-Command: newmail -h | grep "^newmail" -C 4
Restrictions: superficial

=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://www.infodrom.org/projects/newmail/download/newmail-@ANY_VERSION@@ARCHIVE_EXT@
